# ezrest

*Modular Python framework for implementing REST API clients*

## Overview

`ezrest` is a modular Python library crafted to streamline and standardize REST API client development. This package offers design patterns without concrete implementations, empowering developers to customize behaviors for distinct APIs. Its primary aim is not to offer a comprehensive solution but to serve as a blueprint for creating straightforward and maintainable API clients.

## Features

- **Modular design - tailored usage:** `ezrest` is structured into independent modules, allowing developers to selectively utilize only the required components. This approach ensures streamlined code implementation, eliminating the need for unnecessary features.

- **Best practices templates:** `ezrest` aims to serve as a guiding template for REST API client development, mitigating the risk of adopting poor practices. Developers can adhere to designated design patterns and recommendations to craft API clients that are both maintainable and performant.

## Installation

**Requirements:** Python 3.8+

```bash
pip install ezrest
# Or by providing specific version:
pip install ezrest==0.1.0
```

## Usage <!-- {docsify-ignore} -->

Please refer to the [documentation pages](https://nullJaX.github.io/ezrest/#/modules) on how to use this module.

## Contributing

All forms of contribution are welcome. If you have ideas for new features, improvements or bug fixes, please [open an issue](https://github.com/nullJaX/ezrest/issues) or [submit a pull request on GitHub](https://github.com/nullJaX/ezrest/pulls).

## License <!-- {docsify-ignore} -->

This project is licensed under the [MIT License](https://github.com/nullJaX/ezrest/blob/master/LICENSE).